code
stringlengths
1
1.96M
language
stringclasses
1 value
#!/bin/sh set -avx IPHONE_PROVISIONING_PROFILE="F5280371-7BB5-43DC-BE01-0D6A8BA3F7E2" PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" ACTIONS="clean build" # if [ "$SHOULD_CLEAN" == "NO" ]; then # ACTIONS="build" # fi cd "$MULTIVERSE" # should I hard...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" HERE="`(cd "$HERE"; pwd)`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" cd "$MULTIVERSE" REPORTS_DIRECTORY="`(cd "$PROJECT_NAME"; pwd)`" REPORTS_DIRECTORY="$REPORTS_DIRECTORY"/TemporaryItems/ClangChecker/Reports PROJECT_DIR="`(cd "$...
Shell
#!/bin/bash # usage: MergeDMG <tmpdir> <template> <output> <source files dirs...> set -avxe HERE="`dirname "$0"`" DMG_SCRATCH_DIR="$1" DMG_TEMPLATE="$2" DMG_OUTPUT="$3" shift; shift; shift; if [ ! -d "$DMG_SCRATCH_DIR" ]; then echo "error: $DMG_SCRATCH_DIR does not exist" >&2 exit 1 fi if [ ! -e "$DMG_TEMPLATE"...
Shell
#!/bin/bash TARGET="$1" MODIFIED_FILES_FOUND=NO find "$TARGET" -name _CodeSignature -and \( -not -path \*.dSYM/\* \) | while read line; do if ! codesign -vvvvv "$line"/../..; then echo "error: Detected modification in respect to signature $line." >&2 MODIFIED_FILES_FOUND=YES fi done find "$TARGET" -name \*.dyl...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" HERE="`(cd "$HERE"; pwd)`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" cd "$MULTIVERSE" REPORTS_DIRECTORY="`(cd "$PROJECT_NAME"; pwd)`" REPORTS_DIRECTORY="$REPORTS_DIRECTORY"/TemporaryItems/ClangChecker/Reports PROJECT_DIR="`(cd "$...
Shell
#!/bin/sh set -avx IPHONE_PROVISIONING_PROFILE="F5280371-7BB5-43DC-BE01-0D6A8BA3F7E2" PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" ACTIONS="clean build" # if [ "$SHOULD_CLEAN" == "NO" ]; then # ACTIONS="build" # fi cd "$MULTIVERSE" # should I hard...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" cd "$MULTIVERSE" PROJECT_TEMP_DIR="$PROJECT_NAME"/TemporaryItems/Test mkdir -p "$PROJECT_TEMP_DIR" # should I hardcode "Debug" as the CI configuration? (Methinks yes.) xcodebuild \ -pro...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" HERE="`(cd "$HERE"; pwd)`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" cd "$MULTIVERSE" REPORTS_DIRECTORY="`(cd "$PROJECT_NAME"; pwd)`" REPORTS_DIRECTORY="$REPORTS_DIRECTORY"/TemporaryItems/ClangChecker/Reports PROJECT_DIR="`(cd "$...
Shell
#!/bin/sh set -avx IPHONE_PROVISIONING_PROFILE_APP_STORE="45C85CAF-24B8-4EFC-9CBC-10CC73E94B26" IPHONE_PROVISIONING_PROFILE_AD_HOC="D916A3B5-FB13-4DCA-A54F-6758866BF2C5" PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" ACTIONS="clean build" # if [ "$SHOU...
Shell
#!/bin/bash TARGET="$1" find "$TARGET" -name _CodeSignature | while read line; do if ! codesign -vvvvv "$line"/../..; then echo "note: Detected modification in respect to signature $line. Resigning." >&2 codesign -s "$INFINITELABS_CODE_SIGNING_IDENTITY" -f -vvvvv "$line"/../.. fi done find "$TARGET" -name \*.d...
Shell
#!/bin/bash # usage: MergeDMG <tmpdir> <template> <output> <source files dirs...> set -avxe DMG_SCRATCH_DIR="$1" DMG_TEMPLATE="$2" DMG_OUTPUT="$3" shift; shift; shift; if [ ! -d "$DMG_SCRATCH_DIR" ]; then echo "error: $DMG_SCRATCH_DIR does not exist" >&2 exit 1 fi if [ ! -e "$DMG_TEMPLATE" ]; then echo "$DMG_TE...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" # CLEAN= # if [ "$SHOULD_CLEAN" == "YES" ]; then # CLEAN=clean # fi cd "$MULTIVERSE" # should I hardcode "Debug" as the CI configuration? (Methinks yes.) xcodebuild \ -project "$PROJE...
Shell
#!/bin/bash # usage: MergeDMG <tmpdir> <template> <output> <source files dirs...> set -avxe HERE="`dirname "$0"`" DMG_SCRATCH_DIR="$1" DMG_TEMPLATE="$2" DMG_OUTPUT="$3" shift; shift; shift; if [ ! -d "$DMG_SCRATCH_DIR" ]; then echo "error: $DMG_SCRATCH_DIR does not exist" >&2 exit 1 fi if [ ! -e "$DMG_TEMPLATE"...
Shell
#!/bin/bash # Sign -- calls codesign to perform code signing, working around what's not implemented in Xcode 3.1.1 CODE_SIGN* settings. # Usage: During an Xcode build (otherwise, set BUILT_PRODUCTS_PATH and FULL_PRODUCT_NAME to correct values and CONFIGURATION to anything beginning with 'Release', verbatim). Requires...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" CLEAN=clean if [ "$SHOULD_CLEAN" == "NO" ]; then CLEAN= fi cd "$MULTIVERSE" xcodebuild \ -project "$PROJECT_NAME"/"$PROJECT_NAME".xcodeproj \ -target "$PROJECT_NAME" \ -configuratio...
Shell
#!/bin/bash TARGET="$1" MODIFIED_FILES_FOUND=NO find "$TARGET" -name _CodeSignature -and \( -not -path \*.dSYM/\* \) | while read line; do if ! codesign -vvvvv "$line"/../..; then echo "error: Detected modification in respect to signature $line." >&2 MODIFIED_FILES_FOUND=YES fi done find "$TARGET" -name \*.dyl...
Shell
#!/bin/sh set -avx IPHONE_PROVISIONING_PROFILE_APP_STORE="45C85CAF-24B8-4EFC-9CBC-10CC73E94B26" IPHONE_PROVISIONING_PROFILE_AD_HOC="D916A3B5-FB13-4DCA-A54F-6758866BF2C5" PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" ACTIONS="clean build" # if [ "$SHOU...
Shell
#!/bin/bash TARGET="$1" find "$TARGET" -name _CodeSignature | while read line; do if ! codesign -vvvvv "$line"/../..; then echo "note: Detected modification in respect to signature $line. Resigning." >&2 codesign -s "$INFINITELABS_CODE_SIGNING_IDENTITY" -f -vvvvv "$line"/../.. fi done find "$TARGET" -name \*.d...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" # CLEAN= # if [ "$SHOULD_CLEAN" == "YES" ]; then # CLEAN=clean # fi cd "$MULTIVERSE" # should I hardcode "Debug" as the CI configuration? (Methinks yes.) xcodebuild \ -project "$PROJE...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" cd "$MULTIVERSE" PROJECT_TEMP_DIR="$PROJECT_NAME"/TemporaryItems/Test mkdir -p "$PROJECT_TEMP_DIR" # should I hardcode "Debug" as the CI configuration? (Methinks yes.) xcodebuild \ -pro...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" CLEAN=clean if [ "$SHOULD_CLEAN" == "NO" ]; then CLEAN= fi cd "$MULTIVERSE" xcodebuild \ -project "$PROJECT_NAME"/"$PROJECT_NAME".xcodeproj \ -target "$PROJECT_NAME" \ -configuratio...
Shell
#!/bin/bash # usage: MergeDMG <tmpdir> <template> <output> <source files dirs...> set -avxe DMG_SCRATCH_DIR="$1" DMG_TEMPLATE="$2" DMG_OUTPUT="$3" shift; shift; shift; if [ ! -d "$DMG_SCRATCH_DIR" ]; then echo "error: $DMG_SCRATCH_DIR does not exist" >&2 exit 1 fi if [ ! -e "$DMG_TEMPLATE" ]; then echo "$DMG_TE...
Shell
#!/bin/sh # Assumes 'svn' in the path. echo " ***** [Afloat Change Report & Patches]" svn info echo " ***** " svn st echo " ***** " svn diff
Shell
#!/bin/sh # Assumes 'svn' in the path. echo " ***** [Afloat Change Report & Patches]" svn info echo " ***** " svn st echo " ***** " svn diff
Shell
#!/bin/sh FORCE_CREATE_PATCH_FILE="" if [ "$1" == "-f" -o "$1" == "--force" ]; then FORCE_CREATE_PATCH_FILE="-YES-" shift fi PATCH_FILE_TO_CREATE="$1" shift if [ "$PATCH_FILE_TO_CREATE" == "" ]; then echo "Usage: $0 [-f|--force] <patch file> <svn options>" echo " <patch file> is the file to write the patch to."...
Shell
#!/bin/sh FORCE_CREATE_PATCH_FILE="" if [ "$1" == "-f" -o "$1" == "--force" ]; then FORCE_CREATE_PATCH_FILE="-YES-" shift fi PATCH_FILE_TO_CREATE="$1" shift if [ "$PATCH_FILE_TO_CREATE" == "" ]; then echo "Usage: $0 [-f|--force] <patch file> <svn options>" echo " <patch file> is the file to write the patch to."...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" HERE="`(cd "$HERE"; pwd)`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" cd "$MULTIVERSE" REPORTS_DIRECTORY="`(cd "$PROJECT_NAME"; pwd)`" REPORTS_DIRECTORY="$REPORTS_DIRECTORY"/TemporaryItems/ClangChecker/Reports PROJECT_DIR="`(cd "$...
Shell
#!/bin/bash # Sign -- calls codesign to perform code signing, working around what's not implemented in Xcode 3.1.1 CODE_SIGN* settings. # Usage: During an Xcode build (otherwise, set BUILT_PRODUCTS_PATH and FULL_PRODUCT_NAME to correct values and CONFIGURATION to anything beginning with 'Release', verbatim). Requires...
Shell
#!/bin/sh set -avx IPHONE_PROVISIONING_PROFILE="F5280371-7BB5-43DC-BE01-0D6A8BA3F7E2" PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" ACTIONS="clean build" # if [ "$SHOULD_CLEAN" == "NO" ]; then # ACTIONS="build" # fi cd "$MULTIVERSE" # should I hard...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" HERE="`(cd "$HERE"; pwd)`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" cd "$MULTIVERSE" REPORTS_DIRECTORY="`(cd "$PROJECT_NAME"; pwd)`" REPORTS_DIRECTORY="$REPORTS_DIRECTORY"/TemporaryItems/ClangChecker/Reports PROJECT_DIR="`(cd "$...
Shell
#!/bin/bash # usage: MergeDMG <tmpdir> <template> <output> <source files dirs...> set -avxe HERE="`dirname "$0"`" DMG_SCRATCH_DIR="$1" DMG_TEMPLATE="$2" DMG_OUTPUT="$3" shift; shift; shift; if [ ! -d "$DMG_SCRATCH_DIR" ]; then echo "error: $DMG_SCRATCH_DIR does not exist" >&2 exit 1 fi if [ ! -e "$DMG_TEMPLATE"...
Shell
#!/bin/bash TARGET="$1" MODIFIED_FILES_FOUND=NO find "$TARGET" -name _CodeSignature -and \( -not -path \*.dSYM/\* \) | while read line; do if ! codesign -vvvvv "$line"/../..; then echo "error: Detected modification in respect to signature $line." >&2 MODIFIED_FILES_FOUND=YES fi done find "$TARGET" -name \*.dyl...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" HERE="`(cd "$HERE"; pwd)`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" cd "$MULTIVERSE" REPORTS_DIRECTORY="`(cd "$PROJECT_NAME"; pwd)`" REPORTS_DIRECTORY="$REPORTS_DIRECTORY"/TemporaryItems/ClangChecker/Reports PROJECT_DIR="`(cd "$...
Shell
#!/bin/sh set -avx IPHONE_PROVISIONING_PROFILE="F5280371-7BB5-43DC-BE01-0D6A8BA3F7E2" PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" ACTIONS="clean build" # if [ "$SHOULD_CLEAN" == "NO" ]; then # ACTIONS="build" # fi cd "$MULTIVERSE" # should I hard...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" cd "$MULTIVERSE" PROJECT_TEMP_DIR="$PROJECT_NAME"/TemporaryItems/Test mkdir -p "$PROJECT_TEMP_DIR" # should I hardcode "Debug" as the CI configuration? (Methinks yes.) xcodebuild \ -pro...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" HERE="`(cd "$HERE"; pwd)`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" cd "$MULTIVERSE" REPORTS_DIRECTORY="`(cd "$PROJECT_NAME"; pwd)`" REPORTS_DIRECTORY="$REPORTS_DIRECTORY"/TemporaryItems/ClangChecker/Reports PROJECT_DIR="`(cd "$...
Shell
#!/bin/sh set -avx IPHONE_PROVISIONING_PROFILE_APP_STORE="45C85CAF-24B8-4EFC-9CBC-10CC73E94B26" IPHONE_PROVISIONING_PROFILE_AD_HOC="D916A3B5-FB13-4DCA-A54F-6758866BF2C5" PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" ACTIONS="clean build" # if [ "$SHOU...
Shell
#!/bin/bash TARGET="$1" find "$TARGET" -name _CodeSignature | while read line; do if ! codesign -vvvvv "$line"/../..; then echo "note: Detected modification in respect to signature $line. Resigning." >&2 codesign -s "$INFINITELABS_CODE_SIGNING_IDENTITY" -f -vvvvv "$line"/../.. fi done find "$TARGET" -name \*.d...
Shell
#!/bin/bash # usage: MergeDMG <tmpdir> <template> <output> <source files dirs...> set -avxe DMG_SCRATCH_DIR="$1" DMG_TEMPLATE="$2" DMG_OUTPUT="$3" shift; shift; shift; if [ ! -d "$DMG_SCRATCH_DIR" ]; then echo "error: $DMG_SCRATCH_DIR does not exist" >&2 exit 1 fi if [ ! -e "$DMG_TEMPLATE" ]; then echo "$DMG_TE...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" # CLEAN= # if [ "$SHOULD_CLEAN" == "YES" ]; then # CLEAN=clean # fi cd "$MULTIVERSE" # should I hardcode "Debug" as the CI configuration? (Methinks yes.) xcodebuild \ -project "$PROJE...
Shell
#!/bin/bash # usage: MergeDMG <tmpdir> <template> <output> <source files dirs...> set -avxe HERE="`dirname "$0"`" DMG_SCRATCH_DIR="$1" DMG_TEMPLATE="$2" DMG_OUTPUT="$3" shift; shift; shift; if [ ! -d "$DMG_SCRATCH_DIR" ]; then echo "error: $DMG_SCRATCH_DIR does not exist" >&2 exit 1 fi if [ ! -e "$DMG_TEMPLATE"...
Shell
#!/bin/bash # Sign -- calls codesign to perform code signing, working around what's not implemented in Xcode 3.1.1 CODE_SIGN* settings. # Usage: During an Xcode build (otherwise, set BUILT_PRODUCTS_PATH and FULL_PRODUCT_NAME to correct values and CONFIGURATION to anything beginning with 'Release', verbatim). Requires...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" CLEAN=clean if [ "$SHOULD_CLEAN" == "NO" ]; then CLEAN= fi cd "$MULTIVERSE" xcodebuild \ -project "$PROJECT_NAME"/"$PROJECT_NAME".xcodeproj \ -target "$PROJECT_NAME" \ -configuratio...
Shell
#!/bin/bash TARGET="$1" MODIFIED_FILES_FOUND=NO find "$TARGET" -name _CodeSignature -and \( -not -path \*.dSYM/\* \) | while read line; do if ! codesign -vvvvv "$line"/../..; then echo "error: Detected modification in respect to signature $line." >&2 MODIFIED_FILES_FOUND=YES fi done find "$TARGET" -name \*.dyl...
Shell
#!/bin/sh set -avx IPHONE_PROVISIONING_PROFILE_APP_STORE="45C85CAF-24B8-4EFC-9CBC-10CC73E94B26" IPHONE_PROVISIONING_PROFILE_AD_HOC="D916A3B5-FB13-4DCA-A54F-6758866BF2C5" PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" ACTIONS="clean build" # if [ "$SHOU...
Shell
#!/bin/bash TARGET="$1" find "$TARGET" -name _CodeSignature | while read line; do if ! codesign -vvvvv "$line"/../..; then echo "note: Detected modification in respect to signature $line. Resigning." >&2 codesign -s "$INFINITELABS_CODE_SIGNING_IDENTITY" -f -vvvvv "$line"/../.. fi done find "$TARGET" -name \*.d...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" # CLEAN= # if [ "$SHOULD_CLEAN" == "YES" ]; then # CLEAN=clean # fi cd "$MULTIVERSE" # should I hardcode "Debug" as the CI configuration? (Methinks yes.) xcodebuild \ -project "$PROJE...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" cd "$MULTIVERSE" PROJECT_TEMP_DIR="$PROJECT_NAME"/TemporaryItems/Test mkdir -p "$PROJECT_TEMP_DIR" # should I hardcode "Debug" as the CI configuration? (Methinks yes.) xcodebuild \ -pro...
Shell
#!/bin/sh set -avx PROJECT_NAME="$1" HERE="`dirname "$0"`" # assumes we're in Tools/Xcode MULTIVERSE="`(cd "$HERE"/../../; pwd)`" CLEAN=clean if [ "$SHOULD_CLEAN" == "NO" ]; then CLEAN= fi cd "$MULTIVERSE" xcodebuild \ -project "$PROJECT_NAME"/"$PROJECT_NAME".xcodeproj \ -target "$PROJECT_NAME" \ -configuratio...
Shell
#!/bin/bash # usage: MergeDMG <tmpdir> <template> <output> <source files dirs...> set -avxe DMG_SCRATCH_DIR="$1" DMG_TEMPLATE="$2" DMG_OUTPUT="$3" shift; shift; shift; if [ ! -d "$DMG_SCRATCH_DIR" ]; then echo "error: $DMG_SCRATCH_DIR does not exist" >&2 exit 1 fi if [ ! -e "$DMG_TEMPLATE" ]; then echo "$DMG_TE...
Shell
rm *.txt rm *.dat rm *.png rm *.fits rm *.lens rm *.gl rm *.range
Shell
#!/bin/bash # Input parameters: Image file name (any type, png, gif, jpg...) # Example: # # ./plot.sh kapmap.gif gridhi=$1 echo " set xlabel 'arcsec' set xrange [-$gridhi:$gridhi] set yrange [-$gridhi:$gridhi] plot 'grid.dat' with lines lc rgb 'gray' t 'grid', 'cc.dat' w l lc rgb 'red' t 'Criticas' plot 'grid.d...
Shell
#!/bin/bash if [ $# == 0 ]; then echo "Usage:" echo "./nfw <z lens> <z source> <nfw mass> <nfw c>" echo exit 1 fi zl=$1 zs=$2 mass=$3 c=$4 # Clean environment ./clean.sh ksmod="ksmod" kappas=$($ksmod $zl $zs $mass $c 0.25 0.75 | cut -f1 | cut -d' ' -f2) tmp=$($ksmod $zl $zs $mass $c 0.25 0.75 | cut -f2 ...
Shell
#!/bin/bash if [ $# == 0 ]; then echo "Usage:" echo "./nfw <z lens> <z source> <nfw mass> <nfw c>" echo exit 1 fi zl=$1 zs=$2 mass=$3 c=$4 # Clean environment ./clean.sh ksmod="ksmod" kappas=$($ksmod $zl $zs $mass $c 0.25 0.75 | cut -f1 | cut -d' ' -f2) tmp=$($ksmod $zl $zs $mass $c 0.25 0.75 | cut -f2 ...
Shell
#!/bin/bash # Input parameters: Image file name (any type, png, gif, jpg...) # Example: # # ./plot.sh kapmap.gif gridhi=$1 echo " set xlabel 'arcsec' set xrange [-$gridhi:$gridhi] set yrange [-$gridhi:$gridhi] plot 'grid.dat' with lines lc rgb 'gray' t 'grid', 'cc.dat' w l lc rgb 'red' t 'Criticas' plot 'grid.d...
Shell
rm *.txt rm *.dat rm *.png rm *.fits rm *.lens rm *.gl rm *.range
Shell
#!/bin/bash # Input parameters: Image file name (any type, png, gif, jpg...) # Example: # # ./plot.sh kapmap.gif echo " set terminal png font '/usr/share/fonts/truetype/freefont/FreeSans.ttf' 13 size 525,500 set xlabel 'arcsec' set output 'nfw.png' p 'grid.dat' w l lc rgb 'gray' t 'grid', 'cc.dat' w l lc rgb 'red' ...
Shell
#!/bin/bash # Input parameters zL, cluster mass (units of 1e14 solar masses) and concentration # Example: # # nfw_kappamap 0.3 10 5 # clean previous environment (*.log are not removed) ./clean.sh zl=$1 zs=1.0 mass=$2 c=$3 # Set ksmod path here if needed ksmod="ksmod" # OK, in python next time... kappas=$($ksmod...
Shell
#!/bin/bash # Input parameters zL, cluster mass (units of 1e14 solar masses) and concentration # Example: # # nfw_kappamap 0.3 10 5 # clean previous environment (*.log are not removed) ./clean.sh zl=$1 zs=1.0 mass=$2 c=$3 # Set ksmod path here if needed ksmod="ksmod" # OK, in python next time... kappas=$($ksmod...
Shell
#!/bin/bash # Input parameters: Image file name (any type, png, gif, jpg...) # Example: # # ./plot.sh kapmap.gif echo " set terminal png font '/usr/share/fonts/truetype/freefont/FreeSans.ttf' 13 size 525,500 set xlabel 'arcsec' set output 'nfw.png' p 'grid.dat' w l lc rgb 'gray' t 'grid', 'cc.dat' w l lc rgb 'red' ...
Shell
#!/bin/bash if [ $# == 0 ]; then echo "Usage:" echo "./sigma_map <z lens> <z source> <nfw mass> <nfw c> <gridhi>" echo exit 1 fi zl=$1 zs=$2 mass=$3 c=$4 gridhi=$5 # Clean environment rm *.dat rm *.gl rm *.lens ksmod="ksmod" kappas=$($ksmod $zl $zs $mass $c 0.25 0.75 | cut -f1 | cut -d' ' -f2) tmp=$($ks...
Shell
#!/bin/bash # Input parameters: Image file name (any type, png, gif, jpg...) # Example: # # ./plot.sh <plot range> kapmap.gif range=$1 range2=$2 echo " set xlabel 'arcsec' set xrange [-$range:$range] set yrange [-$range:$range] p 'grid.dat' w l lc rgb 'gray' t 'grid', 'cc.dat' w l lc rgb 'red' t 'Critics' p 'g...
Shell
#!/bin/bash if [ $# == 0 ]; then echo "Usage:" echo "./sigma_map <z lens> <z source> <nfw mass> <nfw c> <gridhi>" echo exit 1 fi zl=$1 zs=$2 mass=$3 c=$4 gridhi=$5 # Clean environment rm *.dat rm *.gl rm *.lens ksmod="ksmod" kappas=$($ksmod $zl $zs $mass $c 0.25 0.75 | cut -f1 | cut -d' ' -f2) tmp=$($ks...
Shell
#!/bin/bash # Input parameters: Image file name (any type, png, gif, jpg...) # Example: # # ./plot.sh <plot range> kapmap.gif range=$1 range2=$2 echo " set xlabel 'arcsec' set xrange [-$range:$range] set yrange [-$range:$range] p 'grid.dat' w l lc rgb 'gray' t 'grid', 'cc.dat' w l lc rgb 'red' t 'Critics' p 'g...
Shell
#!/bin/bash # # Used to make a SVN "tag" and the corresponding package, and to finally upload # it. # # by Dario Berzano <dario.berzano@gmail.com> # # THIS IS NOT MEANT TO BE USED BY THE USER!!! # export TRUNKURL="https://afdsmgrd.googlecode.com/svn/trunk" export TAGSURL="https://afdsmgrd.googlecode.com/svn/tags" exp...
Shell
#!/bin/bash # # Configure script that uses CMake to allow the building of afdsmgrd. This # script is designed both to run as a standalone and to fit within the # xrd-installer system # # by Dario Berzano <dario.berzano@gmail.com> # # # Globals # export PREFIX="/usr/local" export ROOTSYS export APMON_PREFIX export AP...
Shell
#! /bin/sh # # A (not so) simple configure script. # # Authors: Christian Holm Christensen and Fons Rademakers # # To help with debugging the script, some comments are preprended with # 3 '#' echo and 3 '%' - replace that pattern with echo and 3 '%' to # get printouts. When done replace the pattern echo and 3 '%' with...
Shell
#! /bin/sh # # A (not so) simple configure script. # # Authors: Christian Holm Christensen and Fons Rademakers # # To help with debugging the script, some comments are preprended with # 3 '#' echo and 3 '%' - replace that pattern with echo and 3 '%' to # get printouts. When done replace the pattern echo and 3 '%' with...
Shell
#!/bin/bash if [ "$1" == "" ]; then echo "Do: $0 <dirname>" exit 1 fi tar czf "`basename $1`.par" "$1"
Shell
#!/bin/bash if [ "$1" == "" ]; then echo "Do: $0 <dirname>" exit 1 fi tar czf "`basename $1`.par" "$1"
Shell
#!/bin/sh
Shell
#!/bin/sh
Shell
#!/bin/bash # # Used to make a SVN "tag" and the corresponding package, and to finally upload # it. # # by Dario Berzano <dario.berzano@gmail.com> # # THIS IS NOT MEANT TO BE USED BY THE USER!!! # export TRUNKURL="https://afdsmgrd.googlecode.com/svn/trunk" export TAGSURL="https://afdsmgrd.googlecode.com/svn/tags" exp...
Shell
#!/bin/bash # # afmss -- by Dario Berzano <dario.berzano@gmail.com> # # Part of afdsmgrd -- http://afdsmgrd.googlecode.com/ # # MSS interface between xrootd and AliEn. # # === EXIT CODES === # # The return value is unimportant because xrootd needs the number to be echoed, # and not properly returned. # # Load library...
Shell
#!/bin/bash # # aflib -- by Dario Berzano <dario.berzano@gmail.com> # # Part of afdsmgrd -- http://afdsmgrd.googlecode.com/ # # Library functions for the MSS interface between xrootd and AliEn. # # === EXIT CODES === # # These are the return values of some functions that must be passed to the shell # by the main progr...
Shell
#!/bin/bash # # afrenewauth -- by Dario Berzano <dario.berzano@gmail.com> # # Part of afdsmgrd -- http://afdsmgrd.googlecode.com/ # # Continuously renews the AliEn authentication token and Grid proxy. # # Usage: # # afrenewauth \ # [-p <pidfile>] \ # [-l <logfile>] \ # [-s <check_renew_every_sec>] \ # ...
Shell
#!/bin/bash # # aflib -- by Dario Berzano <dario.berzano@gmail.com> # # Part of afdsmgrd -- http://afdsmgrd.googlecode.com/ # # Library functions for the MSS interface between xrootd and AliEn. # # === EXIT CODES === # # These are the return values of some functions that must be passed to the shell # by the main progr...
Shell
#!/bin/bash # # afmss -- by Dario Berzano <dario.berzano@gmail.com> # # Part of afdsmgrd -- http://afdsmgrd.googlecode.com/ # # MSS interface between xrootd and AliEn. # # === EXIT CODES === # # The return value is unimportant because xrootd needs the number to be echoed, # and not properly returned. # # Load library...
Shell
#!/bin/bash # # afauthtest -- by Dario Berzano <dario.berzano@gmail.com> # # Part of afdsmgrd -- http://afdsmgrd.googlecode.com/ # # Tests if current proxy and AliEn token need renewal without modifying # anything. # # Load library functions source `dirname $0`/aflib # Debug line, can be removed... #echo "[`Datime`]...
Shell
#!/bin/bash # # afxfr -- by Dario Berzano <dario.berzano@gmail.com> # # Part of afdsmgrd -- http://afdsmgrd.googlecode.com/ # # Transfer files using AliEn to the destination pool. # # This script is intended to be run by another daemon, of which it inherits the # full environment. However, it is written to be self-con...
Shell
#!/bin/bash # # afauthtest -- by Dario Berzano <dario.berzano@gmail.com> # # Part of afdsmgrd -- http://afdsmgrd.googlecode.com/ # # Tests if current proxy and AliEn token need renewal without modifying # anything. # # Load library functions source `dirname $0`/aflib # Debug line, can be removed... #echo "[`Datime`]...
Shell
#!/bin/bash # # afxfr -- by Dario Berzano <dario.berzano@gmail.com> # # Part of afdsmgrd -- http://afdsmgrd.googlecode.com/ # # Transfer files using AliEn to the destination pool. # # This script is intended to be run by another daemon, of which it inherits the # full environment. However, it is written to be self-con...
Shell
#!/bin/bash # # afrenewauth -- by Dario Berzano <dario.berzano@gmail.com> # # Part of afdsmgrd -- http://afdsmgrd.googlecode.com/ # # Continuously renews the AliEn authentication token and Grid proxy. # # Usage: # # afrenewauth \ # [-p <pidfile>] \ # [-l <logfile>] \ # [-s <check_renew_every_sec>] \ # ...
Shell
#!/bin/sh # # Start and stop the afdsmgrd daemon. # # by Dario Berzano <dario.berzano@gmail.com> # # This script is conform to the LSB specifications and it is compatible with # the chkconfig custom header format. # # # chkconfig header # # chkconfig: 2345 99 0 # description: afdsmgrd, which stands for Analysis Faci...
Shell
#!/bin/bash # # /etc/init.d/afrenewauthd -- by Dario Berzano <dario.berzano@gmail.com> # # Start (daemonize) and stop the afrenewauth utility for AliEn. # # This script is conform to the LSB specifications and it is compatible with # the chkconfig custom header format. It can also be run by an unprivileged # user and ...
Shell
#!/bin/sh # # Start and stop the afdsmgrd daemon. # # by Dario Berzano <dario.berzano@gmail.com> # # This script is conform to the LSB specifications and it is compatible with # the chkconfig custom header format. # # # chkconfig header # # chkconfig: 2345 99 0 # description: afdsmgrd, which stands for Analysis Faci...
Shell
#!/bin/bash # # /etc/init.d/afrenewauthd -- by Dario Berzano <dario.berzano@gmail.com> # # Start (daemonize) and stop the afrenewauth utility for AliEn. # # This script is conform to the LSB specifications and it is compatible with # the chkconfig custom header format. It can also be run by an unprivileged # user and ...
Shell
#!/bin/bash # # Used to make a SVN "tag" and the corresponding package, and to finally upload # it. # # by Dario Berzano <dario.berzano@cern.ch> # # THIS IS NOT MEANT TO BE USED BY THE USER!!! # export TRUNKURL="https://afdsmgrd.googlecode.com/svn/trunk" export TAGSURL="https://afdsmgrd.googlecode.com/svn/tags" expor...
Shell
#!/bin/bash # # configure -- by Dario Berzano <dario.berzano@cern.ch> # # This file is part of afdsmgrd -- see http://code.google.com/p/afdsmgrd # # Configure script that uses CMake to allow the building of afdsmgrd. This # script is designed to: # # - run as a standalone script called by the user for a custom build ...
Shell
#!/bin/bash # # MakePar.sh -- by Dario Berzano <dario.berzano@cern.ch> # # This file is part of afdsmgrd -- see http://code.google.com/p/afdsmgrd # # Utility to create PARFiles out of directories. It launches a tar gzip command # using an option to exclute versioning control files from being included in the # archive....
Shell
#!/bin/bash # # MakePar.sh -- by Dario Berzano <dario.berzano@cern.ch> # # This file is part of afdsmgrd -- see http://code.google.com/p/afdsmgrd # # Utility to create PARFiles out of directories. It launches a tar gzip command # using an option to exclute versioning control files from being included in the # archive....
Shell
#!/bin/sh
Shell
#!/bin/sh
Shell
#!/bin/bash # # Used to make a SVN "tag" and the corresponding package, and to finally upload # it. # # by Dario Berzano <dario.berzano@cern.ch> # # THIS IS NOT MEANT TO BE USED BY THE USER!!! # export TRUNKURL="https://afdsmgrd.googlecode.com/svn/trunk" export TAGSURL="https://afdsmgrd.googlecode.com/svn/tags" expor...
Shell
#!/bin/bash # # afmss -- by Dario Berzano <dario.berzano@cern.ch> # # This file is part of afdsmgrd -- see http://code.google.com/p/afdsmgrd # # MSS interface between xrootd and AliEn. # # === EXIT CODES === # # The return value is unimportant because xrootd needs the number to be echoed, # and not properly returned. ...
Shell
#!/bin/bash # # aflib -- by Dario Berzano <dario.berzano@cern.ch> # # This file is part of afdsmgrd -- see http://code.google.com/p/afdsmgrd # # Library functions for the MSS interface between xrootd and AliEn. # # === EXIT CODES === # # These are the return values of some functions that must be passed to the shell # ...
Shell
#!/bin/bash # # afrenewauth -- by Dario Berzano <dario.berzano@cern.ch> # # This file is part of afdsmgrd -- see http://code.google.com/p/afdsmgrd # # Continuously renews the AliEn authentication token and Grid proxy. # # Usage: # # afrenewauth \ # [-p <pidfile>] \ # [-l <logfile>] \ # [-s <check_renew_e...
Shell
#!/bin/bash # # afverify-xrd-locate.sh -- by Dario Berzano <dario.berzano@cern.ch> # # This file is part of afdsmgrd -- see http://code.google.com/p/afdsmgrd # # Wrapper around xrd locateall command, see macros/Verify.C for info on output. # # Get the configuration variables from the first configuration file found de...
Shell
#!/bin/bash # # afverify-xrd-rm.sh -- by Dario Berzano <dario.berzano@cern.ch> # # This file is part of afdsmgrd -- see http://code.google.com/p/afdsmgrd # # Wrapper around xrd rm command. Outputs OK on success, FAIL if for some reason # the command can not be launched or terminated abruptly. # # Get the configuratio...
Shell
#!/bin/bash # # aflib -- by Dario Berzano <dario.berzano@cern.ch> # # This file is part of afdsmgrd -- see http://code.google.com/p/afdsmgrd # # Library functions for the MSS interface between xrootd and AliEn. # # === EXIT CODES === # # These are the return values of some functions that must be passed to the shell # ...
Shell